Bug 134991 - GtkDeprecationWarning: gtk.mainloop is deprecated
Summary: GtkDeprecationWarning: gtk.mainloop is deprecated
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: rhn-applet   
(Show other bugs)
Version: 4
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robin Norwood
QA Contact: Beth Nackashi
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FC3Target FC4Target
TreeView+ depends on / blocked
 
Reported: 2004-10-07 19:36 UTC by Jason
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-20 20:27:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jason 2004-10-07 19:36:53 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041002
Firefox/0.10.1

Description of problem:
 /usr/lib/python2.3/site-packages/gtk-2.0/gtk/__init__.py:90:
GtkDeprecationWarning: gtk.mainloop is deprecated, use gtk.main instead
  self.warn(message, DeprecationWarning)
/usr/lib/python2.3/site-packages/gtk-2.0/gtk/__init__.py:90:
GtkDeprecationWarning: gtk.mainiteration is deprecated, use
gtk.main_iteration instead
  self.warn(message, DeprecationWarning)


Version-Release number of selected component (if applicable):
rhn-applet-2.1.11-1

How reproducible:
Always

Steps to Reproduce:
1.  launch applet
2.
3.
    

Actual Results:  The applet no longer starts when x starts.  When I
start rhn-applet-gui I get the messages above

Expected Results:  no messages and the applet should start automatically

Additional info:

Comment 1 redhat 2004-11-25 05:25:41 UTC
/usr/lib/python2.3/site-packages/gtk-2.0/gtk/__init__.py:90:
GtkDeprecationWarning: gtk.mainloop is deprecated, use gtk.main instead
  self.warn(message, DeprecationWarning)

I also see the same, but not with FC3test2, with FC3 release (with all
yum updates). If you'd like more information from me, please be
verbose as I'm *fairly* new to Linux and don't know where everything
is yet.

Steve :)

Comment 2 Jason 2005-03-10 20:54:41 UTC
rh-applet-gui still gives the DeprecationWarning messages.  Will this be fixed
for FC4?

Comment 3 Jason 2005-07-12 21:20:33 UTC
Even more gtkdeprecationwarning messages in fc4 with rhn-applet-2.1.17-3.


/usr/share/rhn/rhn_applet/rhn_applet.py:263: GtkDeprecationWarning:
gtk.timeout_add is deprecated, use gobject.timeout_add instead
  self.nag_timeout_tag = gtk.timeout_add(self.nag_interval * 1000, self.nag_handler)
/usr/share/rhn/rhn_applet/rhn_applet.py:385: GtkDeprecationWarning:
gtk.timeout_add is deprecated, use gobject.timeout_add instead
  self.animate_timeout_tag = gtk.timeout_add(int(math.floor(1000 *
ANIMATION_TOTAL_TIME/len(frames))), self.animate_handler)
/usr/share/rhn/rhn_applet/rhn_applet.py:135: GtkDeprecationWarning: gtk.FALSE is
deprecated, use False instead
  self.menu_items[menu].set_sensitive(gtk.FALSE)
/usr/share/rhn/rhn_applet/rhn_applet.py:138: GtkDeprecationWarning: gtk.TRUE is
deprecated, use True instead
  self.menu_items[menu].set_sensitive(gtk.TRUE)
/usr/share/rhn/rhn_applet/rhn_applet.py:290: GtkDeprecationWarning:
gtk.timeout_add is deprecated, use gobject.timeout_add instead
  self.refresh_timeout_tag = gtk.timeout_add(when, self.refresh_handler, force)
/usr/share/rhn/rhn_applet/rhn_applet.py:955: GtkDeprecationWarning: gtk.mainloop
is deprecated, use gtk.main instead
  gtk.mainloop()
/usr/lib/python2.4/site-packages/gtk-2.0/gtk/__init__.py:70:
GtkDeprecationWarning: gtk.TRUE is deprecated, use True instead
  return self.func(*args, **kwargs)
/usr/share/rhn/rhn_applet/rhn_applet.py:294: GtkDeprecationWarning:
gtk.timeout_remove is deprecated, use gobject.source_remove instead
  gtk.timeout_remove(self.refresh_timeout_tag)
/usr/share/rhn/rhn_applet/rhn_applet.py:299: GtkDeprecationWarning:
gtk.mainiteration is deprecated, use gtk.main_iteration instead
  gtk.mainiteration(gtk.FALSE)
/usr/lib/python2.4/site-packages/gtk-2.0/gtk/__init__.py:70:
GtkDeprecationWarning: gtk.FALSE is deprecated, use False instead
  return self.func(*args, **kwargs)
/usr/share/rhn/rhn_applet/rhn_applet.py:329: GtkDeprecationWarning:
gtk.timeout_remove is deprecated, use gobject.source_remove instead
  gtk.timeout_remove(self.animate_timeout_tag)
/usr/share/rhn/rhn_applet/rhn_applet.py:329: GtkDeprecationWarning:
gtk.timeout_remove is deprecated, use gobject.source_remove instead
  gtk.timeout_remove(self.animate_timeout_tag)
/usr/share/rhn/rhn_applet/rhn_applet.py:749: GtkDeprecationWarning: gtk.mainquit
is deprecated, use gtk.main_quit instead
  gtk.mainquit()


Comment 4 Jason 2006-02-20 20:27:25 UTC
I nolonger care about this issue.


Note You need to log in before you can comment on or make changes to this bug.